config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.plexmediaserver.new:
if [ -e etc/rc.d/rc.plexmediaserver ]; then
  cp -a etc/rc.d/rc.plexmediaserver etc/rc.d/rc.plexmediaserver.new.incoming
  cat etc/rc.d/rc.plexmediaserver.new > etc/rc.d/rc.plexmediaserver.new.incoming
  mv etc/rc.d/rc.plexmediaserver.new.incoming etc/rc.d/rc.plexmediaserver.new
fi

config etc/rc.d/rc.plexmediaserver.new
config etc/default/plexmediaserver

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/bin ; rm -rf start_pms )
( cd usr/bin ; ln -sf /opt/plexmediaserver/bin/start_pms start_pms )
( cd usr/share/applications ; rm -rf plexmediaserver.desktop )
( cd usr/share/applications ; ln -sf /opt/plexmediaserver/plexmediaserver.desktop plexmediaserver.desktop )
